
<div class='admin-padd'>
    <div class='admin-header'>
        <div class='admin-header-left'>
            <img src='<?php echo plugin_dir_url(dirname(__FILE__)); ?>img/logo.png' alt='Shortcode Generator'/>
        </div><div class='admin-header-right'><div class='title'>Shortcode Generator</div></div><div class='clear'></div>
    </div>
    <?php	
	if ( ! current_user_can( 'edit_posts' ) ) {
	    echo "<div class='error'>You do not have the correct privileges to access this page</div>"; 
	    die();
	}

	?>  
	<div class="wrap ">
    <div class="wpur-filter-form">
		<div class='form-option'>
      <h2>Instructions</h2>

			<p>WP Ultimate Reviews Pro allows you to create multiple review types for the entire website (global), a specific web page or a specific product (Woocommerce or Easy Digital Downloads compatible)</p>
      <p>The components are all presented through the use of 3 shortcodes:</p>
			<ol>
				<li>The Review and Rating Display Area - choose how many reviews to display, filter by review type (global, page or product), and whether or not to create schemes for Google's Structured Tools (Google Reviews)</li>
				<li>The Aggregated/Average Rating Display - filter by review type (global, page or product) and whether or not to create a scheme for Google's Structured Tools (Google Reviews)</li>
				<li>The Review Submission Form - filter by review type (global, page or product). Note, you can also add reviews/testimonials manually in the admin area.</li>
			</ol>
			<p>These shortcodes work independently so you can mix and match which ones you wish to display on your specified pages.<br>
				You can place shortcodes anywhere on your website. Once generated, copy and paste each one directly in to your page or post.<br>
        You can modify the design of the output by modifying your theme's own CSS, or via the plugin's theme files (see readme.txt for more information).</p>

		</div>

     </div>
      <div class="wpur-filter-form">

       <div class='form-option'>

			<h2>Shortcode 1 - The Review and Rating Display Area</h2>
			</div>
		<div class='form-option'>These reviews relate to:<br>
			<select id='_type_1'>
				<option value="global" selected>The Entire Site (global)</option>
				<option value="page">One Web Page (auto-detect page)</option>
				<option value="pagespec">One Web Page (choose specific page)</option>
              <?php if( wpur_plugin_exists('easy digital downloads') ) {?><option value="edd">A Product (Easy Digital Downloads)</option><option value="edd_auto">A Product (Easy Digital Downloads) (Auto-detect product)**</option> <?php }?>
              <?php if( wpur_plugin_exists('woocommerce') ) {?><option value="woo">A Product (Woocommerce)</option><option value="woo_auto">A Product (Woocommerce) (Auto-detect product)**</option> <?php } ?>
			</select>
		</div>
		<div class='form-option'name="_page_choice_1" id="_page_choice_1" style="display:none;">Related Page:<br />
                <?php 
                $args = array("id"=>"page_id_1","name"=>"page_id_1");
                wp_dropdown_pages( $args ); ?>  
        </div>
        <?php if ( wpur_plugin_exists('woocommerce') ) {
                // code that requires WooCommerce
                ?>
                <div class='form-option' name="_woo_choice_1" id="_woo-_woo_choice_1" style="display:none;">Related Woocommerce Product:<br />
                <?php wpur_woocommerce_products("_review_woocommerce_product_1"); ?>  
                </div>
                <?php 
        } ?>
        <?php if( wpur_plugin_exists('easy digital downloads') ) {
                // code that requires EDD
                ?>
                <div class='form-option' name="_edd_choice_1" id="_edd_choice_1" style="display:none;">Related Easy Digital Downloads Product:<br />
                <?php 
                	$args = array("id"=>"products_1","name"=>"products_1");
                	echo EDD()->html->product_dropdown($args); ?>  
                </div>

                <?php 
       } ?>
      <?php if( wpur_plugin_exists('easy digital downloads') || wpur_plugin_exists('woocommerce') ) {?><div class='form-option' id="warning_1" style="display:none;" ><small style="margin-bottom:-10px;margin-top:-10px;">** = If using "auto-detect" you will need to place the shortcode within the content area of the page (or the official product page if the item is a product). Otherwise the ID may not be discoverable.</small></div><?php } ?>
		<div class='form-option'>Max Number of Reviews to Display (0 = all):<br>
			<input id="_max" type="number" min="0" max="9999" value="0" />
		</div>
		<div class='form-option'>Include Microdata/Structured Data (Creates reviews on Google):<br>
			<select id='_micro_1'>
				<option value="1" selected>Display Reviews and INCLUDE Microdata for Google Reviews</option>
				<option value="2">Display Reviews and EXCLUDE Microdata for Google Reviews</option>
				<option value="3">Include Microdata for Google Reviews ONLY (will not show reviews on your site)</option>
			</select>
		</div>
		<div class='form-option'name="_microdata-choice" id="_microdata-choice">Schema Type:<br />
			<select id='_schema_1'>
				<option value="Brand" selected>Brand (default - includes rating, review and author)</option>
				<option value="Product">Product (includes rating, review and author)</option>
			</select>
        </div>
       <div class='form-option'>
       		<input type="button" id="display-shortcode-generator" class="button button-primary" value="Generate Shortcode">
       </div>
       <div class='form-option'>
       	<div id="display-shortcodes" class='form-shortcodes'>Your shortcode will be displayed here...</div>
        <button  id="clp1" class="button copybtn" data-copytarget="#display-shortcodes" disabled><span>Copy Shortcode to Clipboard</span></button>
       </div>
     </div>
      <div class="wpur-filter-form">
       <div class='form-option'>

			<h2>Shortcode 2 - The Aggregated/Average Rating Display</h2>
					</div>
		<div class='form-option'>This average score relates to:<br>
			<select id='_type_2'>
				<option value="global" selected>The Entire Site (global)</option>
				<option value="page">One Web Page (auto-detect page)</option>
				<option value="pagespec">One Web Page (choose specific page)</option>
              <?php if( wpur_plugin_exists('easy digital downloads') ) {?><option value="edd">A Product (Easy Digital Downloads)</option><option value="edd_auto">A Product (Easy Digital Downloads) (Auto-detect product)**</option> <?php }?>
              <?php if( wpur_plugin_exists('woocommerce') ) {?><option value="woo">A Product (Woocommerce)</option><option value="woo_auto">A Product (Woocommerce) (Auto-detect product)**</option> <?php } ?>
			</select>
		</div>
		<div class='form-option'name="_page_choice_2" id="_page_choice_2" style="display:none;">Related Page:<br />
                <?php 
                $args = array("id"=>"page_id_2","name"=>"page_id_2");
                wp_dropdown_pages( $args ); ?>  
        </div>
        <?php if ( wpur_plugin_exists('woocommerce') ) {
                // code that requires WooCommerce
                ?>
                <div class='form-option' name="_woo_choice_2" id="_woo-_woo_choice_2" style="display:none;">Related Woocommerce Product:<br />
                <?php wpur_woocommerce_products("_review_woocommerce_product_2"); ?>  
                </div>
                <?php 
        } ?>
        <?php if( wpur_plugin_exists('easy digital downloads') ) {
                // code that requires EDD
                ?>
                <div class='form-option' name="_edd_choice_2" id="_edd_choice_2" style="display:none;">Related Easy Digital Downloads Product:<br />
                <?php 
                	$args = array("id"=>"products_2","name"=>"products_2");
                	echo EDD()->html->product_dropdown($args); ?>  
                </div>
                <?php 
       } ?>
      <?php if( wpur_plugin_exists('easy digital downloads') || wpur_plugin_exists('woocommerce') ) {?><div class='form-option' id="warning_2" style="display:none;"><small style="margin-bottom:-10px;margin-top:-10px;">** = If using "auto-detect" you will need to place the shortcode within the content area of the page (or the official product page if the item is a product). Otherwise the ID may not be discoverable.</small></div><?php } ?>
		<div class='form-option'>Include Microdata/Structured Data (Creates reviews on Google):<br>
			<select id='_micro_2'>
				<option value="1" selected>Display Aggregated Rating and INCLUDE Microdata for Google</option>
				<option value="2">Display Aggregated Rating and EXCLUDE Microdata for Google</option>
				<option value="3">Include Microdata for Google ONLY (will not show rating on your site)</option>
			</select>
		</div>
		<div class='form-option'name="_microdata-choice" id="_microdata-choice">Schema Type:<br />
			<select id='_schema_2'>
				<option value="Brand" selected>Brand (default - includes rating, review and author)</option>
				<option value="Product">Product (includes rating, review and author)</option>
			</select>
        </div>

       <div class='form-option'>
       		<input type="button" id="aggregate-shortcode-generator" class="button button-primary" value="Generate Shortcode">
       </div>
       <div class='form-option'>
       	 <div id="aggregate-shortcodes" class='form-shortcodes'>Your shortcode will be displayed here...</div>
         <button  id="clp2" class="button copybtn" data-copytarget="#aggregate-shortcodes" disabled><span>Copy Shortcode to Clipboard</span></button>
       </div>

     </div>
      <div class="wpur-filter-form">



       <div class='form-option'>

       			<h2>Shortcode 3 - The Review Submission Form</h2>
			
		</div>
		<div class='form-option'>This form relates to:<br>
			<select id='_type_3'>
				<option value="global" selected>The Entire Site (global)</option>
				<option value="page">One Web Page (auto-detect page)</option>
				<option value="pagespec">One Web Page (choose specific page)</option>
	            <?php if( wpur_plugin_exists('easy digital downloads') ) {?><option value="edd">A Product (Easy Digital Downloads)</option><option value="edd_auto">A Product (Easy Digital Downloads) (Auto-detect product)**</option> <?php }?>
	            <?php if( wpur_plugin_exists('woocommerce') ) {?><option value="woo">A Product (Woocommerce)</option><option value="woo_auto">A Product (Woocommerce) (Auto-detect product)**</option> <?php } ?>
			</select>
		</div>
		<div class='form-option'name="_page_choice_3" id="_page_choice_3" style="display:none;">Related Page:<br />
                <?php 
                $args = array("id"=>"page_id_3","name"=>"page_id_3");
                wp_dropdown_pages( $args ); ?>  
        </div>
        <?php if ( wpur_plugin_exists('woocommerce') ) {
                // code that requires WooCommerce
                ?>
                <div class='form-option' name="_woo_choice_3" id="_woo-_woo_choice_3" style="display:none;">Related Woocommerce Product:<br />
                <?php wpur_woocommerce_products("_review_woocommerce_product_3"); ?>  
                </div>
                <?php 
        } ?>
        <?php if( wpur_plugin_exists('easy digital downloads') ) {
                // code that requires EDD
                ?>
                <div class='form-option' name="_edd_choice_3" id="_edd_choice_3" style="display:none;">Related Easy Digital Downloads Product:<br />
                <?php 
                	$args = array("id"=>"products_3","name"=>"products_3");
                	echo EDD()->html->product_dropdown($args); ?>  
                </div>
                <?php 
       } ?>
      <?php if( wpur_plugin_exists('easy digital downloads') || wpur_plugin_exists('woocommerce') ) {?><div class='form-option' id="warning_3" style="display:none;"><small style="margin-bottom:-10px;margin-top:-10px;">** = If using "auto-detect" you will need to place the shortcode within the content area of the page (or the official product page if the item is a product). Otherwise the ID may not be discoverable.</small></div><?php } ?>
       <div class='form-option'>
       		<input type="button" id="form-shortcode-generator" class="button button-primary" value="Generate Shortcode">
       </div>
       <div class='form-option'>
       		<div id="form-shortcodes" class='form-shortcodes'>Your shortcode will be displayed here...</div>
          <button id="clp3" class="button copybtn" data-copytarget="#form-shortcodes" disabled><span>Copy Shortcode to Clipboard</span></button>
       </div>

     </div>
   </div>
   <?php echo wpur_footer();?>

</div>