
<div class='admin-padd'>
    <div class='admin-header'>
        <div class='admin-header-left'>
            <img src='<?php echo plugin_dir_url(dirname(__FILE__)); ?>img/logo.png' alt='Create A Review / Testimonial'/>
        </div><div class='admin-header-right'><div class='title'>Create A Review / Testimonial</div></div><div class='clear'></div>
    </div>

    <?php	
if ( ! current_user_can( 'edit_posts' ) ) {
    echo "<div class='error'>You do not have the correct privileges to access this page</div>"; 
    die();
}

?>  <div class="wrap">

        <form action="admin.php?page=wpur_view_reviews" method="POST" class='wpur-filter-form'>
            <input type='hidden' name='wpur_add' value="1" />
            <input type='hidden' name='wpur_nonce' value="<?php echo wp_create_nonce('_review_wpur_add_nonce'); ?>" />

            <div class='form-option'><strong>Review Relation?</strong><br />
                <em>What part of the website does this review/testimonial relate to?</em><br />
                <select id='_type' name='_type'>
                    <option value="global" selected>The Entire Site (global)</option>
                    <option value="page">One Web Page</option>
                    <?php if( wpur_plugin_exists('easy digital downloads') ) {?><option value="edd">A Product (Easy Digital Downloads)</option> <?php } ?>
                    <?php if( wpur_plugin_exists('woocommerce') ) {?><option value="woo">A Product (Woocommerce)</option> <?php } ?>
                </select>
            </div>
            <div class='form-option'name="_page-choice" id="_page-choice" style="display:none;"><strong>Related Page</strong><br />
                <?php 
                $args = array();
                wp_dropdown_pages( $args ); ?>  
            </div>
            <?php if ( wpur_plugin_exists('woocommerce') ) {
                // code that requires WooCommerce
                ?>
                <div class='form-option' name="_woo-choice" id="_woo-choice" style="display:none;"><strong>Related Woocommerce Product</strong><br />
                <?php wpur_woocommerce_products("woo_product"); ?>  
                </div>
                <?php 
            } ?>
            <?php if( wpur_plugin_exists('easy digital downloads') ) {
                // code that requires EDD
                ?>
                <div class='form-option' name="_edd-choice" id="_edd-choice" style="display:none;"><strong>Related Easy Digital Downloads Product</strong><br />
                <?php echo EDD()->html->product_dropdown(); ?>  
                </div>
                <?php 
            } ?>
            <div class='form-option'><strong>Reviewer Name (and/or company) *</strong><br />
                <input type="text" name="_name" id="_name"  value="" size="180" required placeholder="" />    
            </div>
            <div class='form-option'><strong>Email Address</strong><br />
                <input type="email" name="_email" id="_email"  value="" size="75" placeholder="" />    
            </div>
            <div class="form-option"><strong>Rating *</strong><br/>
                <input type="number" name="_rating" id="_rating" size="8" placeholder="" value="5" min="0" max="5" required style="max-width:50px !important;" /> out of 5 
            </div>
            <div class="form-option"><strong>Message *</strong><br/>
                <textarea required name="_message" id="_message"></textarea>
            </div>
            <div class='form-option'><strong>Order Number</strong><br />
                <input type="number" name="_order" id="_order"  value="" size="10" step="1" min="0" max="100000" style="max-width:175px !important;" placeholder="0=highest, blank=auto" />    
            </div>
            <div class="form-option"><strong>Status</strong><br/>
                <label><input type="checkbox" value="1" id="_status" name="_status" checked /> Enabled</label>
            </div>
            <div class="form-option">
                <input type="submit" value="Save Review" class="button button-primary" id="_submit" />
            </div>
        </form>

   </div>
   <?php echo wpur_footer();?>

</div>