(function ($, root, undefined) {
	
	$(function () {
		
		'use strict';

		function copyToClipboard(element) {
		  var $temp = $("<input>");
		  $("body").append($temp);
		  $temp.val($(element).text()).select();
		  document.execCommand("copy");
		  $temp.remove();
		}

		$('.copybtn').on("click",function(){
			copyToClipboard($(this).attr("data-copytarget"));
			var obj = $(this).find("span");
			obj.text('Shortcode Copied');
			var parobj = $(this);
			parobj.addClass("copied");
			setTimeout(function() {obj.text('Copy Shortcode to Clipboard');parobj.removeClass("copied"); }, 1500);
		});

		/*// click events
		document.body.addEventListener('click', copy, true);

		// event handler
		function copy(e) {

			    // find target element
			    var 
			      t = e.target,
			      c = t.dataset.copytarget,
			      inp = (c ? document.querySelector(c) : null);
			      
			    // is element selectable?
			    if (inp && inp.select) {
			      
			      // select text
			      inp.select();

			      try {
			        // copy text
			        document.execCommand('copy');
			        inp.blur();
			        
			        // copied animation
			        t.value='copied';
			        setTimeout(function() { t.value='copy'; }, 1500);
			      }
			      catch (err) {
			        alert('please press Ctrl/Cmd+C to copy');
			      }
			      
			    }else{
			    	alert("Nothing to copy");
			    }
		    
		}*/


		$('#_type_1').change(function() {
		    $('#warning_1').hide();
		    if($(this).val() =="pgspec"){
		    	$('#_woo_choice_1').hide();
		    	$('#_edd_choice_1').hide();
		    	$('#_page_choice_1').show();
		    }else if($(this).val() =="woo"){
		    	$('#_woo_choice_1').show();
		    	$('#_edd_choice_1').hide();
		    	$('#_page_choice_1').hide();
		    }else if($(this).val() =="edd"){
		    	$('#_woo_choice_1').hide();
		    	$('#_edd_choice_1').show();
		    	$('#_page_choice_1').hide();
		    }else{
		    	if($(this).val() =="edd_auto" || $(this).val() =="woo_auto" || $(this).val() =="pg"){
		    		$('#warning_1').show();
		    	}
		    	$('#_woo_choice_1').hide();
		    	$('#_edd_choice_1').hide();
		    	$('#_page_choice_1').hide();
		    }

		});

		$('#_type_2').change(function() {
		    $('#warning_2').hide();
		    if($(this).val() =="pgspec"){
		    	$('#_woo_choice_2').hide();
		    	$('#_edd_choice_2').hide();
		    	$('#_page_choice_2').show();
		    }else if($(this).val() =="woo"){
		    	$('#_woo_choice_2').show();
		    	$('#_edd_choice_2').hide();
		    	$('#_page_choice_2').hide();
		    }else if($(this).val() =="edd"){
		    	$('#_woo_choice_2').hide();
		    	$('#_edd_choice_2').show();
		    	$('#_page_choice_2').hide();
		    }else{
		    	if($(this).val() =="edd_auto" || $(this).val() =="woo_auto" || $(this).val() =="pg"){
		    		$('#warning_2').show();
		    	}
		    	$('#_woo_choice_2').hide();
		    	$('#_edd_choice_2').hide();
		    	$('#_page_choice_2').hide();
		    }

		});

		$('#_type_3').change(function() {
		    $('#warning_3').hide();
		    if($(this).val() =="pgspec"){
		    	$('#_woo_choice_3').hide();
		    	$('#_edd_choice_3').hide();
		    	$('#_page_choice_3').show();
		    }else if($(this).val() =="woo"){
		    	$('#_woo_choice_3').show();
		    	$('#_edd_choice_3').hide();
		    	$('#_page_choice_3').hide();
		    }else if($(this).val() =="edd"){
		    	$('#_woo_choice_3').hide();
		    	$('#_edd_choice_3').show();
		    	$('#_page_choice_3').hide();
		    }else{
		    	if($(this).val() =="edd_auto" || $(this).val() =="woo_auto" || $(this).val() =="pg"){
		    		$('#warning_3').show();
		    	}
		    	$('#_woo_choice_3').hide();
		    	$('#_edd_choice_3').hide();
		    	$('#_page_choice_3').hide();
		    }

		});

		$('#display-shortcode-generator').on("click",function(){
			var shortcode = "[wpur-display-reviews";
			if($('#_type_1').val()=="pg"){
				shortcode+=" type='page'";
			}else if($('#_type_1').val()=="pgspec"){
				shortcode+=" type='page' id="+$('#page_id_1').val();
			}else if($('#_type_1').val()=="edd"){
				shortcode+=" type='edd' id="+$('#products_1').val();
			}else if($('#_type_1').val()=="woo"){
				shortcode+=" type='woo' id="+$('#_review_woocommerce_product_1').val();
			}else if($('#_type_1').val()=="edd_auto"){
				shortcode+=" type='edd_auto'";
			}else if($('#_type_1').val()=="woo_auto"){
				shortcode+=" type='woo_auto'";
			}
			if($('#_max').val()>0){
				shortcode+=" max="+$('#_max').val();
			}
			shortcode+=" microdata="+$('#_micro_1').val();
			shortcode+=" schema='"+$('#_schema_1').val()+"'";
			
			shortcode+="]";
			$('#display-shortcodes').html(shortcode);
			$('#clp1').removeAttr('disabled');
		});



		$('#aggregate-shortcode-generator').on("click",function(){
			var shortcode = "[wpur-display-average";
			if($('#_type_2').val()=="pg"){
				shortcode+=" type='page'";
			}else if($('#_type_2').val()=="pgspec"){
				shortcode+=" type='page' id="+$('#page_id_2').val();
			}else if($('#_type_2').val()=="edd"){
				shortcode+=" type='edd' id="+$('#products_2').val();
			}else if($('#_type_2').val()=="woo"){
				shortcode+=" type='woo' id="+$('#_review_woocommerce_product_2').val();
			}else if($('#_type_2').val()=="edd_auto"){
				shortcode+=" type='edd_auto'";
			}else if($('#_type_2').val()=="woo_auto"){
				shortcode+=" type='woo_auto'";
			}
			shortcode+=" microdata="+$('#_micro_2').val();
			shortcode+=" schema='"+$('#_schema_2').val()+"'";
			shortcode+="]";
			$('#aggregate-shortcodes').html(shortcode);
			$('#clp2').removeAttr('disabled');
		});

		$('#form-shortcode-generator').on("click",function(){
			var shortcode = "[wpur-display-form";
			if($('#_type_3').val()=="pg"){
				shortcode+=" type='page'";
			}else if($('#_type_3').val()=="pgspec"){
				shortcode+=" type='page' id="+$('#page_id_3').val();
			}else if($('#_type_3').val()=="edd"){
				shortcode+=" type='edd' id="+$('#products_3').val();
			}else if($('#_type_3').val()=="woo"){
				shortcode+=" type='woo' id="+$('#_review_woocommerce_product_3').val();
			}else if($('#_type_3').val()=="edd_auto"){
				shortcode+=" type='edd_auto'";
			}else if($('#_type_3').val()=="woo_auto"){
				shortcode+=" type='woo_auto'";
			}
			shortcode+="]";
			$('#form-shortcodes').html(shortcode);
			$('#clp3').removeAttr('disabled');
		});

	});


	
})(jQuery, this);
